var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var Buttons = function Buttons(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      hasAddons = _ref.hasAddons,
      props = _objectWithoutProperties(_ref, ['children', 'className', 'hasAddons']);

  return React.createElement(
    'div',
    _extends({ className: classNames('buttons', (_classNames = { 'has-addons': hasAddons }, _classNames[className] = Boolean(className), _classNames)) }, props),
    children
  );
};

Buttons.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  hasAddons: PropTypes.bool
} : {};

Buttons.defaultProps = {
  className: null,
  hasAddons: false
};

export default Buttons;