import React from 'react';
import PropTypes from 'prop-types';

var DropdownTrigger = function DropdownTrigger(_ref) {
  var children = _ref.children;
  return React.createElement(
    'div',
    { className: 'dropdown-trigger' },
    children
  );
};

DropdownTrigger.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired
} : {};

export default DropdownTrigger;