function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var FieldBody = function FieldBody(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['children', 'className']);

  return React.createElement(
    'div',
    { className: classNames('field-body', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)) },
    children
  );
};

FieldBody.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired,
  className: PropTypes.string
} : {};

FieldBody.defaultProps = {
  className: null
};

export default FieldBody;