import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var HeroBody = function HeroBody(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className;
  return React.createElement(
    'div',
    { className: classNames('hero-body', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)) },
    children
  );
};

HeroBody.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired,
  className: PropTypes.string
} : {};

HeroBody.defaultProps = {
  className: null
};

export default HeroBody;