var _class, _temp2;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import LevelLeft from './LevelLeft';
import LevelRight from './LevelRight';
import LevelItem from './LevelItem';

var Level = (_temp2 = _class = function (_React$Component) {
  _inherits(Level, _React$Component);

  function Level() {
    var _temp, _this, _ret;

    _classCallCheck(this, Level);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.render = function () {
      var _classNames;

      var _this$props = _this.props,
          children = _this$props.children,
          className = _this$props.className,
          isMobile = _this$props.isMobile;

      return React.createElement(
        'div',
        { className: classNames('level', (_classNames = { 'is-mobile': isMobile }, _classNames[className] = Boolean(className), _classNames)) },
        children
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  return Level;
}(React.Component), _class.Left = LevelLeft, _class.Right = LevelRight, _class.Item = LevelItem, _temp2);


Level.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  /** Is level horizontal on mobile? */
  isMobile: PropTypes.bool
} : {};

Level.defaultProps = {
  className: null,
  isMobile: false
};

export default Level;