function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import Image from '../Image/Image';

var MediaImage = function (_React$Component) {
  _inherits(MediaImage, _React$Component);

  function MediaImage() {
    var _temp, _this, _ret;

    _classCallCheck(this, MediaImage);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.render = function () {
      var _this$props = _this.props,
          alt = _this$props.alt,
          className = _this$props.className,
          size = _this$props.size,
          src = _this$props.src;

      return React.createElement(Image, { alt: alt, className: className, size: size, src: src });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  return MediaImage;
}(React.Component);

MediaImage.propTypes = process.env.NODE_ENV !== "production" ? {
  alt: PropTypes.string.isRequired,
  className: PropTypes.string,
  size: PropTypes.string,
  src: PropTypes.string.isRequired
} : {};

MediaImage.defaultProps = {
  className: null,
  size: null
};

export default MediaImage;