import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var PaginationEllipsis = function PaginationEllipsis(_ref) {
  var _classNames;

  var className = _ref.className;
  return React.createElement(
    'li',
    null,
    React.createElement(
      'span',
      { className: classNames('pagination-ellipsis', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)) },
      '\u2026'
    )
  );
};

PaginationEllipsis.propTypes = process.env.NODE_ENV !== "production" ? {
  className: PropTypes.string
} : {};

PaginationEllipsis.defaultProps = {
  className: null
};

export default PaginationEllipsis;