import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var PanelTabs = function PanelTabs(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      Element = _ref.element;
  return React.createElement(
    Element,
    { className: classNames('panel-tabs', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)) },
    children
  );
};

PanelTabs.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  element: PropTypes.oneOfType([PropTypes.element, PropTypes.string])
} : {};

PanelTabs.defaultProps = {
  className: null,
  element: 'p'
};

export default PanelTabs;