'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DropdownMenu = function DropdownMenu(_ref) {
  var children = _ref.children,
      menuId = _ref.menuId;
  return _react2.default.createElement(
    'div',
    { id: menuId, className: 'dropdown-menu', role: 'menu' },
    children
  );
};

DropdownMenu.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node.isRequired,
  menuId: _propTypes2.default.string
} : {};

DropdownMenu.defaultProps = {
  menuId: null
};

exports.default = DropdownMenu;
module.exports = exports['default'];