'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes3 = require('../_prop-types');

var sharedPropTypes = _interopRequireWildcard(_propTypes3);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HelpText = function HelpText(_ref) {
  var _classNames;

  var color = _ref.color,
      children = _ref.children;
  return _react2.default.createElement(
    'p',
    {
      className: (0, _classnames2.default)('help', (_classNames = {}, _classNames['is-' + color] = color, _classNames))
    },
    children
  );
};

HelpText.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node.isRequired,
  color: sharedPropTypes.color
} : {};

HelpText.defaultProps = {
  color: null
};

exports.default = HelpText;
module.exports = exports['default'];