'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PanelTabs = function PanelTabs(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      Element = _ref.element;
  return _react2.default.createElement(
    Element,
    { className: (0, _classnames2.default)('panel-tabs', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)) },
    children
  );
};

PanelTabs.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node.isRequired,
  className: _propTypes2.default.string,
  element: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.string])
} : {};

PanelTabs.defaultProps = {
  className: null,
  element: 'p'
};

exports.default = PanelTabs;
module.exports = exports['default'];