'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Tab = function Tab(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      isActive = _ref.isActive,
      props = _objectWithoutProperties(_ref, ['children', 'className', 'isActive']);

  return _react2.default.createElement(
    'li',
    _extends({
      className: (0, _classnames2.default)((_classNames = {
        'is-active': isActive
      }, _classNames[className] = Boolean(className), _classNames))
    }, props),
    _react2.default.createElement(
      'a',
      null,
      children
    )
  );
};

Tab.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node,
  className: _propTypes2.default.string,
  /** Is tab active? */
  isActive: _propTypes2.default.bool
} : {};

Tab.defaultProps = {
  children: null,
  className: null,
  isActive: false
};

exports.default = Tab;
module.exports = exports['default'];