'use strict';

exports.__esModule = true;
exports.state = exports.size = exports.color = exports.align = undefined;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var align = exports.align = _propTypes2.default.oneOf(['left', 'centered', 'right']);
var color = exports.color = _propTypes2.default.oneOf(['white', 'light', 'dark', 'black', 'text', 'primary', 'link', 'info', 'success', 'warning', 'danger']);
var size = exports.size = _propTypes2.default.oneOf(['small', 'medium', 'large']);
var state = exports.state = _propTypes2.default.oneOf(['hovered', 'active', 'focused']);