import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var Content = function Content(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className;
  return React.createElement(
    'div',
    { className: classNames('content', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)) },
    children
  );
};

Content.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired,
  className: PropTypes.string
} : {};

Content.defaultProps = {
  className: null
};

export default Content;