var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import * as sharedPropTypes from '../_prop-types';

var Delete = function Delete(_ref) {
  var _classNames;

  var className = _ref.className,
      Element = _ref.element,
      size = _ref.size,
      props = _objectWithoutProperties(_ref, ['className', 'element', 'size']);

  return React.createElement(Element, _extends({
    className: classNames('delete', (_classNames = {}, _classNames['is-' + size] = Boolean(size), _classNames[className] = Boolean(className), _classNames))
  }, props));
};

Delete.propTypes = process.env.NODE_ENV !== "production" ? {
  className: PropTypes.string,
  /** Custom wrapper element */
  element: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
  /** Size of delete button. Available values: `small`, `medium`, `large` */
  size: sharedPropTypes.size
} : {};

Delete.defaultProps = {
  className: null,
  element: 'button',
  size: null
};

export default Delete;