function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

var TableCellHead = function TableCellHead(_ref) {
  var children = _ref.children,
      props = _objectWithoutProperties(_ref, ['children']);

  return React.createElement(
    'th',
    props,
    children
  );
};

TableCellHead.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node
} : {};

TableCellHead.defaultProps = {
  children: null
};

export default TableCellHead;