'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes3 = require('../_prop-types');

var sharedPropTypes = _interopRequireWildcard(_propTypes3);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Delete = function Delete(_ref) {
  var _classNames;

  var className = _ref.className,
      Element = _ref.element,
      size = _ref.size,
      props = _objectWithoutProperties(_ref, ['className', 'element', 'size']);

  return _react2.default.createElement(Element, _extends({
    className: (0, _classnames2.default)('delete', (_classNames = {}, _classNames['is-' + size] = Boolean(size), _classNames[className] = Boolean(className), _classNames))
  }, props));
};

Delete.propTypes = process.env.NODE_ENV !== "production" ? {
  className: _propTypes2.default.string,
  /** Custom wrapper element */
  element: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.element]),
  /** Size of delete button. Available values: `small`, `medium`, `large` */
  size: sharedPropTypes.size
} : {};

Delete.defaultProps = {
  className: null,
  element: 'button',
  size: null
};

exports.default = Delete;
module.exports = exports['default'];