'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Image = require('../Image/Image');

var _Image2 = _interopRequireDefault(_Image);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MediaImage = function (_React$Component) {
  _inherits(MediaImage, _React$Component);

  function MediaImage() {
    var _temp, _this, _ret;

    _classCallCheck(this, MediaImage);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.render = function () {
      var _this$props = _this.props,
          alt = _this$props.alt,
          className = _this$props.className,
          size = _this$props.size,
          src = _this$props.src;

      return _react2.default.createElement(_Image2.default, { alt: alt, className: className, size: size, src: src });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  return MediaImage;
}(_react2.default.Component);

MediaImage.propTypes = process.env.NODE_ENV !== "production" ? {
  alt: _propTypes2.default.string.isRequired,
  className: _propTypes2.default.string,
  size: _propTypes2.default.string,
  src: _propTypes2.default.string.isRequired
} : {};

MediaImage.defaultProps = {
  className: null,
  size: null
};

exports.default = MediaImage;
module.exports = exports['default'];