'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var PaginationPrevious = function PaginationPrevious(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      Element = _ref.element,
      isDisabled = _ref.isDisabled,
      onClick = _ref.onClick,
      props = _objectWithoutProperties(_ref, ['children', 'className', 'element', 'isDisabled', 'onClick']);

  return _react2.default.createElement(
    Element,
    _extends({
      className: (0, _classnames2.default)('pagination-previous', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)),
      disabled: isDisabled,
      onClick: onClick,
      tabIndex: 0
    }, props),
    children
  );
};

PaginationPrevious.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node,
  className: _propTypes2.default.string,
  element: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.string]),
  /** Is the button is disabled? */
  isDisabled: _propTypes2.default.bool,
  /** Function to invoke on click */
  onClick: _propTypes2.default.func
} : {};

PaginationPrevious.defaultProps = {
  children: 'Previous',
  className: null,
  element: 'a',
  isDisabled: false,
  onClick: null
};

exports.default = PaginationPrevious;
module.exports = exports['default'];